Subject: Re: grep bork
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Thu, 11 Mar 2004 03:29:11 -0800

Dave Korn wrote:

> Ok, since when has the plus sign been a bash metachar?  I'm sure I've never
> had to escape it before, but am I remembering wrong?

From the grep manpage:

> In basic regular expressions the metacharacters ?, +, {, |,  (,  and  )
> lose  their  special  meaning; instead use the backslashed versions \?,
> \+, \{, \|, \(, and \).

Since you're calling grep as just "grep" (and not egrep or "grep -E")
you're using basic regexps, not extended.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/